GNU bug report logs - #34526
Updating node.js

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Daniel Gerber <dg@HIDDEN>; dated Mon, 18 Feb 2019 14:50:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 21 Nov 2019 13:34:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 21 08:34:59 2019
Received: from localhost ([127.0.0.1]:51601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXmbr-00025O-8O
	for submit <at> debbugs.gnu.org; Thu, 21 Nov 2019 08:34:59 -0500
Received: from mail1.fsfe.org ([217.69.89.151]:53476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1iXmbq-00025G-0W
 for 34526 <at> debbugs.gnu.org; Thu, 21 Nov 2019 08:34:58 -0500
From: Jelle Licht <jlicht@HIDDEN>
To: Christopher Lemmer Webber <cwebber@HIDDEN>,
 Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#34526: Updating node.js
In-Reply-To: <878soafwtt.fsf@HIDDEN>
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN> <877edud0ha.fsf@HIDDEN>
 <87va1doz0z.fsf@HIDDEN> <871ru7h8gh.fsf@HIDDEN>
 <878soefjhe.fsf@HIDDEN> <878soafwtt.fsf@HIDDEN>
Date: Thu, 21 Nov 2019 14:34:55 +0100
Message-ID: <87mucpic8w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 34526
Cc: 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Christopher Lemmer Webber <cwebber@HIDDEN> writes:

> That's fair.
>
> I have a personal project that requires that I use a newer version of
> Node (at least version 11).  So if anyone has a recipe on how to get
> Node running, even the wrong way per Guix standards, maybe useful to
> post to this bug in the meanwhile?  It might also still help advance
> this bug.

I tried my hand at building llhttp (again...) using our existing nodejs
+ Sucrase (an alternative TypeScript transpiler that does not have too
many dependencies), but it seems that the devs of llhttp use
semi-advanced TypeScript constructs that are at the moment not supported
by Sucrase's transformers. To be specific, I am talking about "Moving
types"[1].

Does anyone know of any other TypeScript transpilers? They do not need
to do typechecking, as long as they allow generation of (valid)
JavaScript files.

- Jelle

[1]: https://basarat.gitbooks.io/typescript/docs/types/moving-types.html




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 20 Nov 2019 14:26:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 09:26:26 2019
Received: from localhost ([127.0.0.1]:49222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXQw5-0008GK-Jr
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 09:26:25 -0500
Received: from dustycloud.org ([50.116.34.160]:44434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1iXQw3-0008GC-Ih
 for 34526 <at> debbugs.gnu.org; Wed, 20 Nov 2019 09:26:24 -0500
Received: from twig (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id DA8962662D;
 Wed, 20 Nov 2019 09:26:22 -0500 (EST)
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN> <877edud0ha.fsf@HIDDEN>
 <87va1doz0z.fsf@HIDDEN> <871ru7h8gh.fsf@HIDDEN>
 <878soefjhe.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#34526: Updating node.js
In-reply-to: <878soefjhe.fsf@HIDDEN>
Date: Wed, 20 Nov 2019 09:26:22 -0500
Message-ID: <878soafwtt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34526
Cc: jlicht@HIDDEN, 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Marius Bakke writes:

> Christopher Lemmer Webber <cwebber@HIDDEN> writes:
>
>> Daniel Gerber writes:
>>
>>> Hi,
>>>
>>> 2019-02-20, Jelle Licht:
>>>> Daniel Gerber <dg@HIDDEN> writes:
>>>>
>>>>>   [snip]
>>>>> What about statically linking llhttp's C "sources" included in
>>>>> node?   Building v11.10.0 succeeds with this:
>>>>
>>>> You could do this, of course, but afaics this is not acceptable for
>>>> inclusion in Guix proper.
>>>>
>>>> I don't really see any way forward between convincing the fine node
>>>> folks to see the 'error of their ways', or to implement a
>>>> ABI-compatible
>>>> replacement for llhttp that we can actually bootstrap.
>>>
>>> Although I would prefer the convincing-the-fine-node-folks solution,
>>> here are two more ways to avoid dropping node with the EOL of 8.x(LTS)
>>> at the end of 2019.
>>>
>>> - Remove llhttp and keep only the "legacy" http-parser, or
>>>
>>> - Accept to bootstrap it -- I mean use intermediary self-compiling
>>> steps, like ccl, golang, java, or haskell do.
>>> The build-time dependencies are: node@HIDDEN -> llhttp -> ts-node ->
>>> typescript -> self (typescript), plus quite a few npm packages.
>>> It seems that node@HIDDEN or 9.x should be a native-input to later
>>> versions, but I do not know enough of Guile / Guix packaging to do it
>>> myself anytime soon.
>>
>> Hello,
>>
>> Went through the process of trying to update node myself, not having
>> remembered this bug.  Ran into the same issue.
>>
>> The bug was closed; I doubt we are going to convince the Node folks.
>>
>> Quite a few high-importance projects rely on Node at this point, and we
>> are running an out of date Node which I suspect probably has quite a few
>> insecurities.
>>
>> Our version of Node:   v10.16.0
>> LTS Node:              v12.13.0
>> Latest Node:           v13.1.0
>>
>> One way or another, we will probably need to update.  Both Chromium and
>> Icecat depend on Node at this point.  I'm not sure if either of them use
>> Node in any active way that an insecruity could manifest or if it's
>> "just for packaging" but I think there's good reason to be nervous about
>> being so out of date.
>
> Node 10.x is maintained until April 2021 though:
>
> https://nodejs.org/en/about/releases/
>
> ...so we still have some time to figure out how to bootstrap Node 12.x
> and later.

That's fair.

I have a personal project that requires that I use a newer version of
Node (at least version 11).  So if anyone has a recipe on how to get
Node running, even the wrong way per Guix standards, maybe useful to
post to this bug in the meanwhile?  It might also still help advance
this bug.




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 17 Nov 2019 18:25:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 13:25:48 2019
Received: from localhost ([127.0.0.1]:42575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWPF2-0004Mt-LW
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 13:25:48 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:53081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iWPF0-0004Mf-C9
 for 34526 <at> debbugs.gnu.org; Sun, 17 Nov 2019 13:25:43 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 950C7614;
 Sun, 17 Nov 2019 13:25:36 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sun, 17 Nov 2019 13:25:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=W6sVLTeExvqMvpzvid1g8+FYE2
 x6y6uEsmj8BUaPZ0M=; b=Tw6Glg+VMP0qbynEZ4xLUdkTIpU/qi58zE0nR7a/Uj
 eo047guDjeKrXGsfVrMW4fmpVsdas1qTVJf1ipKveGHKccgiNft9EK5k98303DTp
 7MX7n2h1mpwJ+9dRODuu50Nv4skhqE0519asMbnvCUP7yBTEoidwZyJJ4eyhRD+K
 I+kkBZ6Mtp5Ew9Jw1ABLsp9VGtNkNKJLi67QCIDaGEqh4rHHVYtJ8/GQgKtMH5GE
 IuvLLPEPCTRegPP1ADXBBVQ4PWarswqpZ7+haZP7ToB1oFJAkVTNS51cd4ITvrly
 qzSD1wOdHxgj+ed1SKXqRAZfrwb14ZT6G/YhN8/rJB7A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=W6sVLT
 eExvqMvpzvid1g8+FYE2x6y6uEsmj8BUaPZ0M=; b=ZUeZIhY6gjIerr178WOrxT
 E2pvvmIbebFBo5bgOeR2At0XDix0t9N5msu5kBrvFZLh5LFz4VOh2ve0OX5no6TS
 sR4tUTxitJKrLxIVwsR6w2SFDFwUHKfzL0R6IjeZqEYkvC9H265HF9WzXwvQA/HF
 44Jt75JsGfPXPYY3WiZzeTyjzpjhV7qs72U+VpE0kqZnEBvWztEqffIDV59cM+03
 YjsTqzwAc6lPkxIBeYX06sRViC7fe7+iFmWmB5a33giX/BuGbOIu+uPoj9/mELSn
 DovxefVY02IZtJDPiTVoU0slVZBI4nVetHnLgcmtvRt8LgtXHI0QnwU7sYCPcpqQ
 ==
X-ME-Sender: <xms:n5DRXQFeHvsnMe-Od03u5twPPDC9miUQxmT1B9ngHAl5ZHhV-OtmDw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudegfedgvddvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrg
 hinhepnhhouggvjhhsrdhorhhgnecukfhppeeivddrudeirdduledvrdduhedtnecurfgr
 rhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuve
 hluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:n5DRXdnhc1xc_OpcFapKsfGroT43ksKNiUESO1V9F0wpElMIYONZ9g>
 <xmx:n5DRXVIM953kXagaJipClZJbBcCt6DKnS0IH7RzD9I_aSwJAmwgrww>
 <xmx:n5DRXWb02L2EOtq6xMd4VOX-pYpm01L0aTbI7jMEutjURF351bh59g>
 <xmx:oJDRXaYk98jLoSi7XRZbT35OS_WW2WaJc7gz1YtZpkMUqoyyXh0qCw>
Received: from localhost (ti0006q161-0149.bb.online.no [62.16.192.150])
 by mail.messagingengine.com (Postfix) with ESMTPA id 940113060057;
 Sun, 17 Nov 2019 13:25:35 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Lemmer Webber <cwebber@HIDDEN>, 34526 <at> debbugs.gnu.org
Subject: Re: bug#34526: Updating node.js
In-Reply-To: <871ru7h8gh.fsf@HIDDEN>
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN> <877edud0ha.fsf@HIDDEN>
 <87va1doz0z.fsf@HIDDEN> <871ru7h8gh.fsf@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 17 Nov 2019 19:25:33 +0100
Message-ID: <878soefjhe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34526
Cc: jlicht@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Christopher Lemmer Webber <cwebber@HIDDEN> writes:

> Daniel Gerber writes:
>
>> Hi,
>>
>> 2019-02-20, Jelle Licht:
>>> Daniel Gerber <dg@HIDDEN> writes:
>>>
>>>>   [snip]
>>>> What about statically linking llhttp's C "sources" included in
>>>> node?   Building v11.10.0 succeeds with this:
>>>
>>> You could do this, of course, but afaics this is not acceptable for
>>> inclusion in Guix proper.
>>>
>>> I don't really see any way forward between convincing the fine node
>>> folks to see the 'error of their ways', or to implement a
>>> ABI-compatible
>>> replacement for llhttp that we can actually bootstrap.
>>
>> Although I would prefer the convincing-the-fine-node-folks solution,
>> here are two more ways to avoid dropping node with the EOL of 8.x(LTS)
>> at the end of 2019.
>>
>> - Remove llhttp and keep only the "legacy" http-parser, or
>>
>> - Accept to bootstrap it -- I mean use intermediary self-compiling
>> steps, like ccl, golang, java, or haskell do.
>> The build-time dependencies are: node@HIDDEN -> llhttp -> ts-node ->
>> typescript -> self (typescript), plus quite a few npm packages.
>> It seems that node@HIDDEN or 9.x should be a native-input to later
>> versions, but I do not know enough of Guile / Guix packaging to do it
>> myself anytime soon.
>
> Hello,
>
> Went through the process of trying to update node myself, not having
> remembered this bug.  Ran into the same issue.
>
> The bug was closed; I doubt we are going to convince the Node folks.
>
> Quite a few high-importance projects rely on Node at this point, and we
> are running an out of date Node which I suspect probably has quite a few
> insecurities.
>
> Our version of Node:   v10.16.0
> LTS Node:              v12.13.0
> Latest Node:           v13.1.0
>
> One way or another, we will probably need to update.  Both Chromium and
> Icecat depend on Node at this point.  I'm not sure if either of them use
> Node in any active way that an insecruity could manifest or if it's
> "just for packaging" but I think there's good reason to be nervous about
> being so out of date.

Node 10.x is maintained until April 2021 though:

https://nodejs.org/en/about/releases/

...so we still have some time to figure out how to bootstrap Node 12.x
and later.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl3RkJ0ACgkQoqBt8qM6
VPo3rQf9GTSaYchNAL4TWAYKFL49RewhVDbUzp0KrgS344kyHOUo6CSB48fg0sjl
cfQMOmfKjZE1feH5N8wV4YTFtuyzEfR1FmtX3622d1h0KiXuvi6KpknduRdPapE/
NPb/H4hHNyoaDbXDJDALP72FScpxCcAXAA5aAzIgoN5eZ4E3a9VRbQFmWSPxICZv
xCyug32AM3opAsOzpM+bMaSkniiP/k3IOUDUyxUTqoyMHm3Tm5dpi9ufgQUVq+pR
72MdxXivT54h5uto0jCEHhVdc70mN256Wsmh71d0WIv4y6X+zdE3Qry/helql15R
7uIodY0QulihesGZPTtvcpzuj6wQZg==
=i9Ea
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 16 Nov 2019 20:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 16 15:28:37 2019
Received: from localhost ([127.0.0.1]:39749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iW4gP-0004mQ-AO
	for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 15:28:37 -0500
Received: from dustycloud.org ([50.116.34.160]:56078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1iW4gK-0004mD-Ao
 for 34526 <at> debbugs.gnu.org; Sat, 16 Nov 2019 15:28:32 -0500
Received: from twig (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id 5314126618;
 Sat, 16 Nov 2019 15:28:31 -0500 (EST)
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN> <877edud0ha.fsf@HIDDEN>
 <87va1doz0z.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#34526: Updating node.js
In-reply-to: <87va1doz0z.fsf@HIDDEN>
Date: Sat, 16 Nov 2019 15:28:30 -0500
Message-ID: <871ru7h8gh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34526
Cc: Jelle Licht <jlicht@HIDDEN>, 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Gerber writes:

> Hi,
>
> 2019-02-20, Jelle Licht:
>> Daniel Gerber <dg@HIDDEN> writes:
>>
>>>   [snip]
>>> What about statically linking llhttp's C "sources" included in
>>> node?   Building v11.10.0 succeeds with this:
>>
>> You could do this, of course, but afaics this is not acceptable for
>> inclusion in Guix proper.
>>
>> I don't really see any way forward between convincing the fine node
>> folks to see the 'error of their ways', or to implement a
>> ABI-compatible
>> replacement for llhttp that we can actually bootstrap.
>
> Although I would prefer the convincing-the-fine-node-folks solution,
> here are two more ways to avoid dropping node with the EOL of 8.x(LTS)
> at the end of 2019.
>
> - Remove llhttp and keep only the "legacy" http-parser, or
>
> - Accept to bootstrap it -- I mean use intermediary self-compiling
> steps, like ccl, golang, java, or haskell do.
> The build-time dependencies are: node@HIDDEN -> llhttp -> ts-node ->
> typescript -> self (typescript), plus quite a few npm packages.
> It seems that node@HIDDEN or 9.x should be a native-input to later
> versions, but I do not know enough of Guile / Guix packaging to do it
> myself anytime soon.

Hello,

Went through the process of trying to update node myself, not having
remembered this bug.  Ran into the same issue.

The bug was closed; I doubt we are going to convince the Node folks.

Quite a few high-importance projects rely on Node at this point, and we
are running an out of date Node which I suspect probably has quite a few
insecurities.

Our version of Node:   v10.16.0
LTS Node:              v12.13.0
Latest Node:           v13.1.0

One way or another, we will probably need to update.  Both Chromium and
Icecat depend on Node at this point.  I'm not sure if either of them use
Node in any active way that an insecruity could manifest or if it's
"just for packaging" but I think there's good reason to be nervous about
being so out of date.





Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2019 20:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 16 15:28:42 2019
Received: from localhost ([127.0.0.1]:39752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iW4gU-0004mi-JK
	for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 15:28:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:34607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1iW4gQ-0004mY-6L
 for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 15:28:41 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52240)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <cwebber@HIDDEN>) id 1iW4gO-0000BE-7b
 for bug-guix@HIDDEN; Sat, 16 Nov 2019 15:28:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cwebber@HIDDEN>) id 1iW4gM-0000R9-Tk
 for bug-guix@HIDDEN; Sat, 16 Nov 2019 15:28:36 -0500
Received: from dustycloud.org ([2600:3c02::f03c:91ff:feae:cb51]:41166)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cwebber@HIDDEN>)
 id 1iW4gM-0000La-8J
 for bug-guix@HIDDEN; Sat, 16 Nov 2019 15:28:34 -0500
Received: from twig (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id 5314126618;
 Sat, 16 Nov 2019 15:28:31 -0500 (EST)
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN> <877edud0ha.fsf@HIDDEN>
 <87va1doz0z.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#34526: Updating node.js
In-reply-to: <87va1doz0z.fsf@HIDDEN>
Date: Sat, 16 Nov 2019 15:28:30 -0500
Message-ID: <871ru7h8gh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2600:3c02::f03c:91ff:feae:cb51
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Jelle Licht <jlicht@HIDDEN>, 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Daniel Gerber writes:

> Hi,
>
> 2019-02-20, Jelle Licht:
>> Daniel Gerber <dg@HIDDEN> writes:
>>
>>>   [snip]
>>> What about statically linking llhttp's C "sources" included in
>>> node?   Building v11.10.0 succeeds with this:
>>
>> You could do this, of course, but afaics this is not acceptable for
>> inclusion in Guix proper.
>>
>> I don't really see any way forward between convincing the fine node
>> folks to see the 'error of their ways', or to implement a
>> ABI-compatible
>> replacement for llhttp that we can actually bootstrap.
>
> Although I would prefer the convincing-the-fine-node-folks solution,
> here are two more ways to avoid dropping node with the EOL of 8.x(LTS)
> at the end of 2019.
>
> - Remove llhttp and keep only the "legacy" http-parser, or
>
> - Accept to bootstrap it -- I mean use intermediary self-compiling
> steps, like ccl, golang, java, or haskell do.
> The build-time dependencies are: node@HIDDEN -> llhttp -> ts-node ->
> typescript -> self (typescript), plus quite a few npm packages.
> It seems that node@HIDDEN or 9.x should be a native-input to later
> versions, but I do not know enough of Guile / Guix packaging to do it
> myself anytime soon.

Hello,

Went through the process of trying to update node myself, not having
remembered this bug.  Ran into the same issue.

The bug was closed; I doubt we are going to convince the Node folks.

Quite a few high-importance projects rely on Node at this point, and we
are running an out of date Node which I suspect probably has quite a few
insecurities.

Our version of Node:   v10.16.0
LTS Node:              v12.13.0
Latest Node:           v13.1.0

One way or another, we will probably need to update.  Both Chromium and
Icecat depend on Node at this point.  I'm not sure if either of them use
Node in any active way that an insecruity could manifest or if it's
"just for packaging" but I think there's good reason to be nervous about
being so out of date.





Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 21 Feb 2019 17:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 12:01:50 2019
Received: from localhost ([127.0.0.1]:59786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwrjJ-00060f-QH
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 12:01:50 -0500
Received: from smtp-sh2.infomaniak.ch ([128.65.195.6]:50774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dg@HIDDEN>) id 1gwrjF-00060U-Uj
 for 34526 <at> debbugs.gnu.org; Thu, 21 Feb 2019 12:01:48 -0500
Received: from smtp5.infomaniak.ch (smtp5.infomaniak.ch [83.166.132.18])
 by smtp-sh.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1LH1hmO031542
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 21 Feb 2019 18:01:44 +0100
Received: from jura (84-73-10-131.dclient.hispeed.ch [84.73.10.131])
 (authenticated bits=0)
 by smtp5.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1LH1h1k053440
 (version=TLSv1/SSLv3 cipher=AES256-GCM-SHA384 bits=256 verify=NO);
 Thu, 21 Feb 2019 18:01:43 +0100
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN> <877edud0ha.fsf@HIDDEN>
From: Daniel Gerber <dg@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#34526: Updating node.js
In-reply-to: <877edud0ha.fsf@HIDDEN>
Date: Thu, 21 Feb 2019 18:02:36 +0100
Message-ID: <87va1doz0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Antivirus: Dr.Web (R) for Unix mail servers drweb plugin ver.6.0.2.8
X-Antivirus-Code: 0x100000
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34526
Cc: 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

2019-02-20, Jelle Licht:
> Daniel Gerber <dg@HIDDEN> writes:
>
>>   [snip]
>> What about statically linking llhttp's C "sources" included in
>> node?   Building v11.10.0 succeeds with this:
>
> You could do this, of course, but afaics this is not acceptable 
> for
> inclusion in Guix proper.
>
> I don't really see any way forward between convincing the fine 
> node
> folks to see the 'error of their ways', or to implement a 
> ABI-compatible
> replacement for llhttp that we can actually bootstrap.

Although I would prefer the convincing-the-fine-node-folks 
solution, here are two more ways to avoid dropping node with the 
EOL of 8.x(LTS) at the end of 2019.

- Remove llhttp and keep only the "legacy" http-parser, or

- Accept to bootstrap it -- I mean use intermediary self-compiling 
  steps, like ccl, golang, java, or haskell do.
The build-time dependencies are: node@HIDDEN -> llhttp -> ts-node -> 
typescript -> self (typescript), plus quite a few npm packages.
It seems that node@HIDDEN or 9.x should be a native-input to later 
versions, but I do not know enough of Guile / Guix packaging to do 
it myself anytime soon.




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 20 Feb 2019 13:59:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 08:59:52 2019
Received: from localhost ([127.0.0.1]:57271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwSPf-000059-Oh
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 08:59:51 -0500
Received: from mail1.fsfe.org ([217.69.89.151]:57770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1gwSPc-0008WV-Ie
 for 34526 <at> debbugs.gnu.org; Wed, 20 Feb 2019 08:59:49 -0500
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Jelle Licht <jlicht@HIDDEN>
To: Daniel Gerber <dg@HIDDEN>
Subject: Re: bug#34526: Updating node.js
In-reply-to: <87h8cz20ic.fsf@HIDDEN>
Date: Wed, 20 Feb 2019 14:59:45 +0100
Message-ID: <877edud0ha.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 34526
Cc: Jelle Licht <jlicht@HIDDEN>, 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


Daniel Gerber <dg@HIDDEN> writes:

>   [snip]
> What about statically linking llhttp's C "sources" included in
> node?   Building v11.10.0 succeeds with this:
>

You could do this, of course, but afaics this is not acceptable for
inclusion in Guix proper.

I don't really see any way forward between convincing the fine node
folks to see the 'error of their ways', or to implement a ABI-compatible
replacement for llhttp that we can actually bootstrap.




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 19 Feb 2019 17:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 12:00:07 2019
Received: from localhost ([127.0.0.1]:55491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw8kZ-0004dq-0O
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 12:00:07 -0500
Received: from smtp-sh2.infomaniak.ch ([128.65.195.6]:45661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dg@HIDDEN>) id 1gw8kW-0004dA-Bj
 for 34526 <at> debbugs.gnu.org; Tue, 19 Feb 2019 12:00:05 -0500
Received: from smtp5.infomaniak.ch (smtp5.infomaniak.ch [83.166.132.18])
 by smtp-sh.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1JH01Il009874
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 19 Feb 2019 18:00:01 +0100
Received: from jura (84-73-10-131.dclient.hispeed.ch [84.73.10.131])
 (authenticated bits=0)
 by smtp5.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1JH006u054952
 (version=TLSv1/SSLv3 cipher=AES256-GCM-SHA384 bits=256 verify=NO);
 Tue, 19 Feb 2019 18:00:01 +0100
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
 <87h8cz20ic.fsf@HIDDEN>
From: Daniel Gerber <dg@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#34526: Updating node.js
In-reply-to: <87h8cz20ic.fsf@HIDDEN>
Date: Tue, 19 Feb 2019 18:00:52 +0100
Message-ID: <87ftsj1znf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Antivirus: Dr.Web (R) for Unix mail servers drweb plugin ver.6.0.2.8
X-Antivirus-Code: 0x100000
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34526
Cc: 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; format=flowed

I mean, it builds after also updating libuv: 


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=gnu-libuv-update-1.26.0.patch

--- gnu/packages/libevent.scm.orig	2019-02-13 10:04:31.913458810 +0100
+++ gnu/packages/libevent.scm	2019-02-19 13:30:49.496780516 +0100
@@ -124,14 +124,14 @@
 (define-public libuv
   (package
     (name "libuv")
-    (version "1.24.0")
+    (version "1.26.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://dist.libuv.org/dist/v" version
                                   "/libuv-v" version ".tar.gz"))
               (sha256
                (base32
-                "01pg0zsfr8mxlpipkbpw0dpsl26x5s966f5br7dx9ac29abk419q"))))
+                "1rqlh0ag02fni8ildz3anc26z9vz69vwf5qmzsid2gvzzfkigy6a"))))
     (build-system gnu-build-system)
     (arguments
      '(;; XXX: Some tests want /dev/tty, attempt to make connections, etc.

--=-=-=
Content-Type: text/plain


Then, tests from test/cctest/test_inspector_socket.cc fail.

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 19 Feb 2019 16:41:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 11:41:32 2019
Received: from localhost ([127.0.0.1]:55468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw8Sa-0004B9-0M
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 11:41:32 -0500
Received: from smtp-sh.infomaniak.ch ([128.65.195.4]:43429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dg@HIDDEN>) id 1gw8SX-0004Az-QJ
 for 34526 <at> debbugs.gnu.org; Tue, 19 Feb 2019 11:41:31 -0500
Received: from smtp6.infomaniak.ch (smtp6.infomaniak.ch [83.166.132.19])
 by smtp-sh.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1JGfRxV011952
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 19 Feb 2019 17:41:28 +0100
Received: from jura (84-73-10-131.dclient.hispeed.ch [84.73.10.131])
 (authenticated bits=0)
 by smtp6.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1JGfRex000494
 (version=TLSv1/SSLv3 cipher=AES256-GCM-SHA384 bits=256 verify=NO);
 Tue, 19 Feb 2019 17:41:27 +0100
References: <87d0npb1tx.fsf@HIDDEN> <877edw6cta.fsf@HIDDEN>
From: Daniel Gerber <dg@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#34526: Updating node.js
In-reply-to: <877edw6cta.fsf@HIDDEN>
Date: Tue, 19 Feb 2019 17:42:19 +0100
Message-ID: <87h8cz20ic.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Antivirus: Dr.Web (R) for Unix mail servers drweb plugin ver.6.0.2.8
X-Antivirus-Code: 0x100000
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34526
Cc: 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; format=flowed

 
2019-02-18, Jelle Licht: 
 
> It seems that llhttp includes a build step for generating 
> C-files using TypeScript, making it a non-starter for proper 
> packaging in Guix. 
> 
> See https://github.com/nodejs/llhttp/issues/14 for more details, 
> but sadly no solution. 

What about statically linking llhttp's C "sources" included in 
node?   Building v11.10.0 succeeds with this:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=node-llhttp.patch

diff --git a/node.gypi b/node.gypi
index c07b5ea704..c08493efbe 100644
--- a/node.gypi
+++ b/node.gypi
@@ -174,6 +174,12 @@
       ],
     } ],
 
+    [ 'node_shared_http_parser=="true"', {
+      'dependencies': [
+        'deps/llhttp/llhttp.gyp:llhttp'
+      ],
+    } ],
+
     [ 'node_shared_cares=="false"', {
       'dependencies': [ 'deps/cares/cares.gyp:cares' ],
     }],

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 19 Feb 2019 08:06:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 03:06:12 2019
Received: from localhost ([127.0.0.1]:53807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gw0Pq-0008G6-5i
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:06:12 -0500
Received: from m4s11.vlinux.de ([83.151.27.109]:53740 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1gw0Po-0008Fx-KU
 for 34526 <at> debbugs.gnu.org; Tue, 19 Feb 2019 03:06:09 -0500
Received: from alma-ubu (pD951F5A8.dip0.t-ipconnect.de [217.81.245.168])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id E28F83F943;
 Tue, 19 Feb 2019 09:06:06 +0100 (CET)
Date: Tue, 19 Feb 2019 09:06:06 +0100
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#34526: Updating node.js
Message-ID: <20190219090606.6c1172c8@alma-ubu>
In-Reply-To: <877edw6cta.fsf@HIDDEN>
References: <87d0npb1tx.fsf@HIDDEN>
	<877edw6cta.fsf@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/WIYPVOSfGva8l8CQzi3_nmm"; protocol="application/pgp-signature"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 34526
Cc: Daniel Gerber <dg@HIDDEN>, 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--Sig_/WIYPVOSfGva8l8CQzi3_nmm
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Mon, 18 Feb 2019 21:50:41 +0100
Jelle Licht <jlicht@HIDDEN> wrote:

> See https://github.com/nodejs/llhttp/issues/14 for more details, but
> sadly no solution.

Thanks for looking into these things, really sounds sad. It would be
nice if the JavaScript/node.js people would care more about
bootstrapping from source.

Bj=C3=B6rn

--Sig_/WIYPVOSfGva8l8CQzi3_nmm
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iF0EARECAB0WIQQiGUP0np8nb5SZM4K/KGy2WT5f/QUCXGu47gAKCRC/KGy2WT5f
/bmOAKCTybKvaLKNvwzrl/1zQLfIeac63wCgiXOAZ8qG/JXh5K8b+9IYGdVWVeI=
=A6uq
-----END PGP SIGNATURE-----

--Sig_/WIYPVOSfGva8l8CQzi3_nmm--




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at 34526 <at> debbugs.gnu.org:


Received: (at 34526) by debbugs.gnu.org; 18 Feb 2019 21:34:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 16:34:00 2019
Received: from localhost ([127.0.0.1]:53302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvqY4-00089s-9w
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 16:34:00 -0500
Received: from mail1.fsfe.org ([217.69.89.151]:38762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1gvqY1-00089h-Vy
 for 34526 <at> debbugs.gnu.org; Mon, 18 Feb 2019 16:33:58 -0500
References: <87d0npb1tx.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Jelle Licht <jlicht@HIDDEN>
To: Daniel Gerber <dg@HIDDEN>
Subject: Re: bug#34526: Updating node.js
Date: Mon, 18 Feb 2019 21:50:41 +0100
Message-ID: <877edw6cta.fsf@HIDDEN>
In-reply-to: <87d0npb1tx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 34526
Cc: 34526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


Daniel Gerber <dg@HIDDEN> writes:

> Notes on v11.10.0:
> - it does support openssl@HIDDEN
> - it ships with libuv 1.26.0 (1.24.0 in guix)
> - some previously bundled deps are absent from tarball
> - NODE_EXPERIMENTAL_HTTP is a no-op / always defined
>
> There is an issue with the alternative http parser, `llhttp`. The
> choice of parser is at runtime, and one compile flag,
> --shared-http-parser, configures both. Building fails with:

> [snip]

> ../src/http_parser_adaptor.h:5:21: fatal error: llhttp.h: No such
> file or directory
> ```
>
> AFAIU, either llhttp has to be made a separate package and listed
> in inputs, or http-parser linked statically. Or should the missing
> -I../deps/llhttp/include argument be passed here somehow -- maybe
> patching node.gypi?

It seems that llhttp includes a build step for generating C-files using
TypeScript, making it a non-starter for proper packaging in Guix.

See https://github.com/nodejs/llhttp/issues/14 for more details, but
sadly no solution.

>
> I have not tried to build 10.15.1(LTS), which presumably has the
> same issues as in #32095.
>
> Also, should previous version branches (8.x, 9.x) be kept in guix?

As long as they are still supported by upstream, I see no issue with
this. The 8.x LTS is still maintained through the end of 2019.

I am not sure the 9.X series is still supported. If not, it might make
more sense to remove it instead of updating it.




Information forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Feb 2019 14:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 18 09:49:28 2019
Received: from localhost ([127.0.0.1]:52177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gvkEZ-00045g-QJ
	for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:49:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dg@HIDDEN>) id 1gvkEW-00045Q-4L
 for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:49:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:54140)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dg@HIDDEN>) id 1gvkEQ-0005F2-RR
 for submit <at> debbugs.gnu.org; Mon, 18 Feb 2019 09:49:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44189)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dg@HIDDEN>) id 1gvkEP-0003vY-EN
 for bug-guix@HIDDEN; Mon, 18 Feb 2019 09:49:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dg@HIDDEN>) id 1gvkEO-0005Ch-06
 for bug-guix@HIDDEN; Mon, 18 Feb 2019 09:49:17 -0500
Received: from smtp-sh.infomaniak.ch ([128.65.195.4]:45517)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dg@HIDDEN>) id 1gvkEN-000580-Di
 for bug-guix@HIDDEN; Mon, 18 Feb 2019 09:49:15 -0500
Received: from smtp7.infomaniak.ch (smtp7.infomaniak.ch [83.166.132.30])
 by smtp-sh.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1IEZqo2030045
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-guix@HIDDEN>; Mon, 18 Feb 2019 15:35:52 +0100
Received: from jura (84-73-10-131.dclient.hispeed.ch [84.73.10.131])
 (authenticated bits=0)
 by smtp7.infomaniak.ch (8.14.5/8.14.5) with ESMTP id x1IEZoYM125443
 (version=TLSv1/SSLv3 cipher=AES256-GCM-SHA384 bits=256 verify=NO)
 for <bug-guix@HIDDEN>; Mon, 18 Feb 2019 15:35:52 +0100
From: Daniel Gerber <dg@HIDDEN>
To: bug-guix@HIDDEN
Subject: Updating node.js
Date: Mon, 18 Feb 2019 15:36:42 +0100
Message-ID: <87d0npb1tx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Antivirus: Dr.Web (R) for Unix mail servers drweb plugin ver.6.0.2.8
X-Antivirus-Code: 0x100000
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 128.65.195.4
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain; format=flowed

Trying to build the current upstream version, 11.10.0...


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=gnu-node-update-11.10.0-wip.patch
Content-Description: WIP 11.10.0

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index a0221601d..9d35765eb 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -45,26 +45,17 @@
 (define-public node
   (package
     (name "node")
-    (version "9.11.1")
+    (version "11.10.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://nodejs.org/dist/v" version
-                                  "/node-v" version ".tar.gz"))
+                                  "/node-v" version ".tar.xz"))
               (sha256
                (base32
-                "1vjh9zvw7wkdz6b0l99ya7mqjk0l8lbg9isr1q8rxwp400dhkk32"))
+                "1kyi35qkg7h5nk0cjdgy8pfm5v2qmzqc7k3app2c8226mrkarhlz"))
               (modules '((guix build utils)))
               (snippet
                `(begin
-                  ;; Remove bundled software.
-                  (for-each delete-file-recursively
-                            '("deps/cares"
-                              "deps/http_parser"
-                              "deps/icu-small"
-                              "deps/nghttp2"
-                              "deps/openssl"
-                              "deps/uv"
-                              "deps/zlib"))
                   (substitute* "Makefile"
                     ;; Remove references to bundled software.
                     (("deps/http_parser/http_parser.gyp") "")
@@ -74,7 +65,6 @@
                   #t))))
     (build-system gnu-build-system)
     (arguments
-     ;; TODO: Purge the bundled copies from the source.
      '(#:configure-flags '("--shared-cares"
                            "--shared-http-parser"
                            "--shared-libuv"
@@ -110,14 +100,6 @@
                (("'/usr/bin/env'")
                 (string-append "'" (which "env") "'")))

-             ;; FIXME: These tests depend on being able to install eslint.
-             ;; See https://github.com/nodejs/node/issues/17098.
-             (for-each delete-if-exists
-                       '("test/parallel/test-eslint-alphabetize-errors.js"
-                         "test/parallel/test-eslint-buffer-constructor.js"
-                         "test/parallel/test-eslint-documented-errors.js"
-                         "test/parallel/test-eslint-inspector-check.js"))
-
              ;; FIXME: These tests fail in the build container, but they don't
              ;; seem to be indicative of real problems in practice.
              (for-each delete-if-exists
@@ -184,9 +166,9 @@
      `(("c-ares" ,c-ares)
        ("http-parser" ,http-parser)
        ("icu4c" ,icu4c)
-       ("libuv" ,libuv-1.19)
+       ("libuv" ,libuv)
        ("nghttp2" ,nghttp2 "lib")
-       ("openssl" ,openssl)
+       ("openssl" ,openssl-next)
        ("zlib" ,zlib)))
     (synopsis "Evented I/O for V8 JavaScript")
     (description "Node.js is a platform built on Chrome's JavaScript runtime

--=-=-=
Content-Type: text/plain; format=flowed


Notes on v11.10.0:
- it does support openssl@HIDDEN
- it ships with libuv 1.26.0 (1.24.0 in guix)
- some previously bundled deps are absent from tarball
- NODE_EXPERIMENTAL_HTTP is a no-op / always defined

There is an issue with the alternative http parser, `llhttp`. The 
choice of parser is at runtime, and one compile flag, 
--shared-http-parser, configures both. Building fails with:

```
g++ -o 
/tmp/guix-build-node-11.10.0.drv-0/node-v11.10.0/out/Release/obj.target/node_lib/src/node_http_parser_llhttp.o 
../src/node_http_parser_llhttp.cc '-DNODE_ARCH="x64"' 
'-DNODE_PLATFORM="linux"' '-DNODE_WANT_INTERNALS=1' 
'-DV8_DEPRECATION_WARNINGS=1' '-DNODE_OPENSSL_SYSTEM_CERT_PATH=""' 
'-DHAVE_INSPECTOR=1' '-DNODE_REPORT' '-D__POSIX__' 
'-DNODE_USE_V8_PLATFORM=1' '-DNODE_HAVE_I18N_SUPPORT=1' 
'-DHAVE_OPENSSL=1' -I../src 
-I/tmp/guix-build-node-11.10.0.drv-0/node-v11.10.0/out/Release/obj/gen 
-I/tmp/guix-build-node-11.10.0.drv-0/node-v11.10.0/out/Release/obj/gen/include 
-I/tmp/guix-build-node-11.10.0.drv-0/node-v11.10.0/out/Release/obj/gen/src 
-I../deps/histogram/src -I../deps/v8/include 
-I../deps/brotli/c/include  -pthread -Wall -Wextra 
-Wno-unused-parameter -m64 -Wall -Wextra -Wno-unused-parameter -O3 
-fno-omit-frame-pointer -fno-rtti -fno-exceptions -std=gnu++1y 
-MMD -MF 
/tmp/guix-build-node-11.10.0.drv-0/node-v11.10.0/out/Release/.deps//tmp/guix-build-node-11.10.0.drv-0/node-v11.10.0/out/Release/obj.target/node_lib/src/node_http_parser_llhttp.o.d.raw 
-c
In file included from ../src/node_http_parser_impl.h:41:0,
                 from ../src/node_http_parser_llhttp.cc:3:
../src/http_parser_adaptor.h:5:21: fatal error: llhttp.h: No such 
file or directory
```

AFAIU, either llhttp has to be made a separate package and listed 
in inputs, or http-parser linked statically. Or should the missing 
-I../deps/llhttp/include argument be passed here somehow -- maybe 
patching node.gypi?

I have not tried to build 10.15.1(LTS), which presumably has the 
same issues as in #32095.

Also, should previous version branches (8.x, 9.x) be kept in guix?

In the meantime, these minor updates work fine:

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=gnu-node-update-9.11.2.patch
Content-Description: v9.11.2

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index a0221601d..8ffd60133 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -45,14 +45,14 @@
 (define-public node
   (package
     (name "node")
-    (version "9.11.1")
+    (version "9.11.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://nodejs.org/dist/v" version
-                                  "/node-v" version ".tar.gz"))
+                                  "/node-v" version ".tar.xz"))
               (sha256
                (base32
-                "1vjh9zvw7wkdz6b0l99ya7mqjk0l8lbg9isr1q8rxwp400dhkk32"))
+                "04y2dnbf6jl8j0ykfkdwhir09h274d13k843d7lqfz3bgyn4wj06"))
               (modules '((guix build utils)))
               (snippet
                `(begin

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=gnu-node-update-lts-8.15.0.patch
Content-Description: v8.15.0(LTS)

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index a0221601d..c52e21cf6 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -202,11 +202,11 @@ devices.")
   (package
     (inherit node)
     (name "node-lts")
-    (version "8.12.0")
+    (version "8.15.0")
     (source (origin
               (inherit (package-source node))
               (uri (string-append "https://nodejs.org/dist/v" version
                                   "/node-v" version ".tar.xz"))
               (sha256
                (base32
-                "16j1rrxkhmvpcw689ndw1raql1gz4jqn7n82z55zn63c05cgz7as"))))))
+                "0cy6lzk9sn545kkc0jviv0k0hn30kindrpkkkmv3zk2774rj71cn"))))))

--=-=-=--




Acknowledgement sent to Daniel Gerber <dg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34526; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.